org.apache.pdfbox.contentstream.operator.graphics

## Class GraphicsOperatorProcessor

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.graphics.GraphicsOperatorProcessor

Direct Known Subclasses:
  AppendRectangleToPath, BeginInlineImage, ClipEvenOddRule, ClipNonZeroRule, CloseAndStrokePath, CloseFillEvenOddAndStrokePath, CloseFillNonZeroAndStrokePath, ClosePath, CurveTo, CurveToReplicateFinalPoint, CurveToReplicateInitialPoint, DrawObject, EndPath, FillEvenOddAndStrokePath, FillEvenOddRule, FillNonZeroAndStrokePath, FillNonZeroRule, LineTo, MoveTo, ShadingFill, StrokePath

    public abstract class GraphicsOperatorProcessor
    extends OperatorProcessor

Base class for graphics operators.

Author:
  John Hewson

### Field Summary

Fields
`protected PDFGraphicsStreamEngine` `context` The processing context.

### Constructor Summary

Constructors
Constructor and Description
`GraphicsOperatorProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setContext(PDFStreamEngine context)` Sets the processing context.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext, getName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    protected PDFGraphicsStreamEngine context

The processing context.

### Constructor Detail

#### GraphicsOperatorProcessor

    public GraphicsOperatorProcessor()

### Method Detail

#### setContext

    public void setContext(PDFStreamEngine context)

Description copied from class: `OperatorProcessor`
Sets the processing context.

Overrides:
  `setContext` in class `OperatorProcessor`
Parameters:
  `context` - the processing context.